Subject: bug#15682: 24.3.50; `:link' in `defgroup' does not respect `mouse-1-click-follows-link'

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 25 Aug 2019 07:47:02 +0200

Mauro Aranda <[email-masked]> writes:

> The attached patch tries to fix this bug, while trying to not change
> too much of the code of the widget library.  It introduces a keymap
> for the link widgets, and only binds mouse-2 events.  Since
> widget-button-click isn't changed, it has to bind down-mouse-2 too.
> In this fix, I also have been careful to not reintroduce bugs that
> have come up by changing the keybindings in the widget-keymap, such as
> here: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=23571

I think this makes sense.

> I investigated the emacs sources, and have noticed that this patch could cause
> problems with three pieces of code:

Would it be possible for you to come up with patches for fixing these
three pieces, too?  And then we could apply all four patches at the same
time and not break anything.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no